//
//  SOMAAdMobInterstitialReceiver.m
//  SmaatoShowcase
//
//  Created by Aman Shaikh on 09/10/14.
//  Copyright (c) 2014 Smaato Inc. All rights reserved.
//

#import "SOMAAdMobInterstitialReceiver.h"

@implementation SOMAAdMobInterstitialReceiver

- (void)presentFromRootViewController:(UIViewController *)rootViewController{
	[self.adview show];
}
- (void)requestInterstitialAdWithParameter:(NSString *)serverParameter label:(NSString *)serverLabel request:(GADCustomEventRequest *)request{
	// Parse Adspace & Publisher ID
	NSMutableDictionary *adServerParameter = [[NSMutableDictionary alloc] init];
	NSArray *chunks = [[serverParameter lowercaseString] componentsSeparatedByString: @"&"];
	
	for (NSString *component in chunks) {
		NSArray *pair = [component componentsSeparatedByString:@"="];
		
		[adServerParameter setObject:[[pair objectAtIndex:1] stringByReplacingPercentEscapesUsingEncoding: NSMacOSRomanStringEncoding]
							  forKey:[pair objectAtIndex:0]];
	}
	
	// Create a SOMABannerView and apply adspace & publisher settings
	if (self.adview == nil) {
		self.adview = [[SOMAInterstitialAdView alloc] init];
	}
	
	[self.adview adSettings].type = SOMAAdTypeAll;
//	self.adview.adSettings.httpsOnly = YES;
	[self.adview adSettings].adSpaceId = [[adServerParameter objectForKey:@"adspace"] intValue];
	[self.adview adSettings].publisherId = [[adServerParameter objectForKey:@"publisher"] intValue];
	self.adview.delegate  =self;
	[self.adview load];
}


#pragma mark - SOMABannerViewDelegate
- (UIViewController*)somaRootViewController{
	return nil;
}

- (void)somaAdViewWillLoadAd:(SOMAAdView *)adview{
}

- (void)somaAdViewDidLoadAd:(SOMAAdView *)adview{
	//	UIView* aview = [[UIView alloc] initWithFrame:CGRectMake(0, 0, 320, 50)];
	//	aview.backgroundColor = [UIColor whiteColor];
	[self.delegate customEventInterstitial:self didReceiveAd:adview];
}

- (void)somaAdView:(SOMAAdView *)adview didFailToReceiveAdWithError:(NSError *)error{
	[self.delegate customEventInterstitial:self didFailAd:error];
}

- (BOOL)somaAdViewShouldEnterFullscreen:(SOMAAdView *)adview{
	[self.delegate customEventInterstitialWillLeaveApplication:self];
	return YES;
}

- (void)somaAdViewDidExitFullscreen:(SOMAAdView *)adview{
	[self.delegate customEventInterstitialWillDismiss:self];
}
@end
