//
//  SOMAMoPubBannerAdapter.m
//  SmaatoShowcase
//
//  Created by Aman Shaikh on 02/09/14.
//  Copyright (c) 2014 Smaato Inc. All rights reserved.
//

#import "MPAdView.h"
#import "SOMAMoPubBannerAdapter.h"

@implementation SOMAMoPubBannerAdapter
- (void)requestAdWithSize:(CGSize)size customEventInfo:(NSDictionary *)info{
	
	self.somaBanner = [[SOMAAdView alloc] initWithFrame:CGRectMake(0, 0, size.width, size.height)];
	self.somaBanner.delegate = self;
	
	// change the key name as you've entered on MoPub dashboard
	self.somaBanner.adSettings.publisherId=[info[@"publisher"] intValue];
	self.somaBanner.adSettings.adSpaceId = [info[@"adspace"] intValue];
//	self.somaBanner.adSettings.httpsOnly = YES;
	
	if (CGSizeEqualToSize(size, MOPUB_BANNER_SIZE)) {
		self.somaBanner.adSettings.dimension = SOMAAdDimensionDefault;
	} else if (CGSizeEqualToSize(size, MOPUB_MEDIUM_RECT_SIZE)) {
		self.somaBanner.adSettings.dimension = SOMAAdDimensionMedRect;
	} else if (CGSizeEqualToSize(size, MOPUB_LEADERBOARD_SIZE)) {
		self.somaBanner.adSettings.dimension = SOMAAdDimensionLeader;
	} else if (CGSizeEqualToSize(size, MOPUB_WIDE_SKYSCRAPER_SIZE)) {
		self.somaBanner.adSettings.dimension = SOMAAdDimensionSky;
	}
	
	self.somaBanner.adSettings.autoReloadEnabled = NO;
	
	[self.somaBanner load];
}

#pragma mark -
#pragma mark - SOMAAdViewDelegate
#pragma mark -

- (UIViewController *)somaRootViewController{
	return [self.delegate viewControllerForPresentingModalView];
}

- (void)somaAdViewDidLoadAd:(SOMAAdView *)adview{
	[self.delegate bannerCustomEvent:self didLoadAd:adview];
}
- (void)somaAdView:(SOMAAdView *)adview didFailToReceiveAdWithError:(NSError *)error{
	[adview removeFromSuperview];
	[self.delegate bannerCustomEvent:self didFailToLoadAdWithError:error];
}
- (BOOL)somaAdViewShouldEnterFullscreen:(SOMAAdView *)adview{
	[self.delegate bannerCustomEventWillBeginAction:self];
	return YES;
}

- (void)somaAdViewDidExitFullscreen:(SOMAAdView *)adview{
	[self.delegate bannerCustomEventDidFinishAction:self];
}

@end
