//
//  SMTiAdViewController.h
//  iSomaDemo
//
//  Created by Aman Shaikh on 20/05/14.
//  Copyright (c) 2014 Smaato Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <iAd/iAd.h>
#import <iAd/ADBannerView.h>


/*====================================
 
		iSoma iAd Integration Demo
 
 --------------------------------------

 1. Import iSoma header
 2. Implement delegate protocol for the both banners e.g. ADBannerViewDelegate and SOMAAdViewDelegate
 3. Declare two IBoutlets, one for iAd banner view and another for SOMA banner view;
 4. Disable shoulAppearAutomatically property of SOMAAdView
 5. If SOMABanner view is loaded but iAd is not loaded, show SOMA Banner view
 6. If iAd is loaded and SOMA banner view is not loaded, show iAd banner view.
 
 
 NOTE: 
 -----
 Please refere to other demo for 
 detailed SOMA Ad configuration instructions
 
 =====================================*/

// Step 1: Import library
#import <iSoma/iSoma.h>

// Step 2a: Implement delegate protocols
@interface SMTiAdViewController : UIViewController<ADBannerViewDelegate, SOMAAdViewDelegate>

// Step 3: Declare IBoulets banner views for SOMA and iAD banners.
@property(nonatomic, weak) IBOutlet SOMAAdView* somaAdView;
@property(nonatomic, weak) IBOutlet ADBannerView* iAdbannerView;
@end
