//
//  SMTAppSettings.m
//  iSomaDemo
//
//  Created by Aman Shaikh on 28/05/14.
//  Copyright (c) 2014 Smaato Inc. All rights reserved.
//

#import "SMTAppSettings.h"

@implementation SMTAppSettings

- (BOOL)isGpsEnabled{
	return [[NSUserDefaults standardUserDefaults] boolForKey:@"isGpsEnabled"];
}

- (void)setGpsEnabled:(BOOL)gpsEnabled{
	[[NSUserDefaults standardUserDefaults] setBool:gpsEnabled forKey:@"isGpsEnabled"];
	[[NSUserDefaults standardUserDefaults] synchronize];
}

- (BOOL)isAutoRefreshEnabled{
	return [[NSUserDefaults standardUserDefaults] boolForKey:@"autoRefreshEnabled"];
}
- (void) setAutoRefreshEnabled:(BOOL)autoRefreshEnabled{
	[[NSUserDefaults standardUserDefaults] setBool:autoRefreshEnabled forKey:@"autoRefreshEnabled"];
	[[NSUserDefaults standardUserDefaults] synchronize];
}

- (int) autoRefreshValue{
	return [[[NSUserDefaults standardUserDefaults] valueForKey:@"autoRefreshValue"] intValue];
}

- (void)setAutoRefreshValue:(int)autoRefreshValue{
	[[NSUserDefaults standardUserDefaults] setInteger:autoRefreshValue forKey:@"autoRefreshValue"];
	[[NSUserDefaults standardUserDefaults] synchronize];
}

- (int) adSpaceID{
	return [[[NSUserDefaults standardUserDefaults] valueForKey:@"adSpaceID"] intValue];
}

- (void)setAdSpaceID:(int)adSpaceID{
	[[NSUserDefaults standardUserDefaults] setInteger:adSpaceID forKey:@"adSpaceID"];
	[[NSUserDefaults standardUserDefaults] synchronize];
}

- (int) adPublisherID{
	return [[[NSUserDefaults standardUserDefaults] valueForKey:@"adPublisherID"] intValue];
}

- (void)setAdPublisherID:(int)adPublisherID{
	[[NSUserDefaults standardUserDefaults] setInteger:adPublisherID forKey:@"adPublisherID"];
	[[NSUserDefaults standardUserDefaults] synchronize];
}


- (BOOL) isTestModeEnabled{
	return [[NSUserDefaults standardUserDefaults] boolForKey:@"testModeEnabled"];
}

- (void)setTestModeEnabled:(BOOL)enabled{
	[[NSUserDefaults standardUserDefaults] setBool:enabled forKey:@"testModeEnabled"];
	[[NSUserDefaults standardUserDefaults] synchronize];
}

+(instancetype) defaultSettings{
	static id _instance = nil;
	static dispatch_once_t onceToken;
	dispatch_once(&onceToken, ^{
		_instance = [SMTAppSettings new];
	});
	
	return _instance;
}
@end

